/*	gtk_callbacks.h - Created by Giampiero Caprino
Modified by Erik Kuiper

This file is part of Train Director

Train Director is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

Train Director is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Train Director; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.
*/

/* In this file all callbacks that can be used as main commands 
 * are defined.
 * The file source of the callback should be noted here.
 */
#include <gtk/gtk.h>

#ifndef _GTKCALLBACKS_H
#define	_GTKCALLBACKS_H

void    main_quit_cmd();             /* gtk_main.c */
void	about_cmd(void);             /* gtk_main.c */
void    open_cmd(GtkWidget *parent,  /* gtk_main_files.c */
		 gpointer  data);
void    save_cmd(GtkWidget *parent,  /* gtk_main_files.c */
	         gpointer  data);
void    preferences_cmd(void);       /* gtk_preferences_dialog.c */
void    start_cmd(void);             /* gtk_main_simulation_control.c */
void    stop_cmd(void);              /* gtk_main_simulation_control.c */
void    fast_cmd(void);              /* gtk_main_simulation_control.c */
void    slow_cmd(void);              /* gtk_main_simulation_control.c */
void    show_schedule_cmd(void);     /* gtk_schedule */
void    show_alerts_window_cmd(void);                /* gtk_alert_messages_display.c */
void    show_alerts_list_cmd(gpointer callback_data, /* gtk_alert_messages_display.c */
			     gint callback_action,
			     GtkWidget *parent); 
void    zoom_100_cmd(void);          /* gtk_main_field.c */
void    zoom_in_cmd(void);           /* gtk_main_field.c */
void    zoom_out_cmd(void);          /* gtk_main_field.c */

void    show_buttons_bar_cmd(gpointer callback_data, /* gtk_main_menubar.c */
			     gint callback_action,
			     GtkWidget *parent);

#endif /* _GTKCALLBACKS_H */

