/*	gtk_main_status_bar.c - Created by Giampiero Caprino
Modified by Erik Kuiper

This file is part of Train Director

Train Director is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

Train Director is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Train Director; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.
*/

#include <gtk/gtk.h>
#include <stdio.h> // For trsim.h
#include "trsim.h"
#include "gtk_alert_messages_display.h"

GtkWidget *status_bar_container;
GtkWidget *context_status_bar;

void hide_table()
{
  gtk_widget_hide(status_bar_container);
}

void show_table()
{
  gtk_widget_show(status_bar_container);
}

void create_status_bar(GtkWidget *parent)
{
  GtkWidget *status_element;
  int	i;
  
  status_bar_container = gtk_table_new(3, 1, FALSE);
  gtk_box_pack_start(GTK_BOX(parent),
		     status_bar_container,
		     FALSE,
		     FALSE,
		     0);

  for(i = 0; i < 3; ++i) {
    status_element = gtk_label_new(labelList[i].text);
    gtk_misc_set_alignment(GTK_MISC(status_element),
			   0.0,
			   0.5);
    gtk_table_attach_defaults(GTK_TABLE(status_bar_container),
			      status_element,
			      i,
			      i + 1,
			      0,
			      1);
    gtk_widget_show (status_element);
    labelList[i].handle = (void*)status_element;
    strcpy(labelList[i].oldtext, labelList[i].text);

    /*    status_element = gtk_label_new(labelList[i + 3].text);
    gtk_misc_set_alignment(GTK_MISC(status_element),
			   0.0,
			   0.5);
    gtk_table_attach_defaults(GTK_TABLE(status_bar_container),
			      status_element,
			      i,
			      i + 1,
			      1, 
			      2);
     gtk_widget_show(status_element);
    labelList[i + 3].handle = (void*)status_element;
    strcpy(labelList[i + 3].oldtext, labelList[i + 3].text);*/
  }
  show_table();
}

void   create_context_status_bar(GtkWidget *parent)
{
  context_status_bar = gtk_label_new("");
  gtk_label_set_justify(GTK_LABEL(context_status_bar),
			GTK_JUSTIFY_LEFT);
  gtk_box_pack_start(GTK_BOX(parent),
		     context_status_bar,
		     FALSE,
		     TRUE,
		     0);
  labelList[7].handle = (void*) context_status_bar;
  gtk_widget_show(context_status_bar);
}

void	repaint_labels()
{
  int	i;

  for(i = 0; i < 8; ++i)
    if(labelList[i].handle &&
       strcmp(labelList[i].text, labelList[i].oldtext)) {
      if (i == 2) /* Alert message */
	alert_message(labelList[i].text);

      gtk_label_set_justify(GTK_LABEL(labelList[i].handle),
			    GTK_JUSTIFY_LEFT);
      gtk_label_set_text(GTK_LABEL(labelList[i].handle),
			 labelList[i].text);
      strncpy(labelList[i].oldtext,
	      labelList[i].text,
	      sizeof(labelList[i].oldtext));
      labelList[i].oldtext[sizeof(labelList[i].oldtext) - 1] = 0;
    }
}

